---
updatedAt: 2026-07-27T10:41:44.000Z
agentTools:
  projectIndex: https://developers.dailymotion.com/v0/llms.txt
---

# Record your live event

<Callout icon="🚀" theme="default">
  ### API v2 now available

  Visit the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/reference/introduction">API v2 documentation</Anchor> or follow the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/docs/migrating-from-legacy-api-to-api-v2">migration guide</Anchor> to upgrade.
</Callout>

<br />

<br />

***

<Callout icon="⭐" theme="default">
  ### Streaming live events is a plan feature

  Please reach out to your Dailymotion Account Manager or our <Anchor target="_blank" href="https://faq.dailymotion.com/hc/en-us/requests/new">Support Team</Anchor> to subscribe and set up the feature on your account.
</Callout>

<br />

# Overview

Dailymotion enables you to **record a live stream and create a video out of it**. The recorded video will be available at the end of the live event as a VoD on Dailymotion.

You can set up a **manual record** (start/stop record) or activate an **auto-record** option. The recorded video inherits metadata from the live event it is recorded from.

***

# Start/Stop a manual recording

To set up or stop a manual recording, you have to use the [`record_status`](https://developers.dailymotion.com/reference/video-fields#/record_status) field on the video object. Make a `POST` HTTP request on `https://partner.api.dailymotion.com/video/<LIVE_VIDEO_ID>` using `record_status=started` or `record_status=stopped` depending on if you want to start or stop recording this live event.

```curl
curl --request POST  \
     --header "Authorization: Bearer <ACCESS_TOKEN>" \
     --form 'record_status=started' \
     "https://partner.api.dailymotion.com/video/<LIVE_VIDEO_ID>?fields=id,record_status"
```

<Cards columns={1}>
  <Card title="Start/Stop a manual recording with `record_status`: Try it out!" href="https://developers.dailymotion.com/v0/reference/partner-api-edit-a-video" icon="fa-angle-double-down" />
</Cards>

**This call returns:**

```json
{
     "id": <LIVE_VIDEO_ID>,
     "record_status": "starting"
}
```

***

# Activate the auto-record feature

If you want your live event to be automatically recorded, you can set the [`live_auto_record`](https://developers.dailymotion.com/reference/video-fields#/live_auto_record) field to `true`. Make a `POST` HTTP request on `https://partner.api.dailymotion.com/video/<LIVE_VIDEO_ID>`, setting `live_auto_record=true` (or to false if you want to unset the auto-recording feature).

```json
curl --request POST \
     --header "Authorization: Bearer <ACCESS_TOKEN>" \
     --form 'live_auto_record=true' \
     "https://partner.api.dailymotion.com/video/<LIVE_VIDEO_ID>?fields=id,live_auto_record"
```

<Cards columns={1}>
  <Card title="Activate auto-recording with `live_auto_record`: Try it out!" href="https://developers.dailymotion.com/v0/reference/partner-api-edit-a-video" icon="fa-angle-double-down" />
</Cards>

**This call returns:**

```json
{
     "id": <LIVE_VIDEO_ID>,
     "live_auto_record": "true"
}
```

***

# Useful fields to manage live recordings

To retrieve the list of videos recorded from a live event with ID `<LIVE_VIDEO_ID>`, make a `GET` HTTP request on `https://api.dailymotion.com/video/<LIVE_VIDEO_ID>/recordings`

Here is a list of fields that you may want to use to know more about your recorded videos:

* [`id`](https://developers.dailymotion.com/reference/video-fields#/id): ID of the recorded video
* [`record_status`](https://developers.dailymotion.com/reference/video-fields#/record_status): status of the recording
* [`live_auto_record`](https://developers.dailymotion.com/reference/video-fields#/live_auto_record) : boolean field to be queried on the live video to know if the auto-record feature is on
* [`record_start_time`](https://developers.dailymotion.com/reference/video-fields#/record_start_time): start time of the recording
* [`record_end_time`](https://developers.dailymotion.com/reference/video-fields#/record_end_time): end time of the recording

<br />